> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Org Audit Logs



## OpenAPI

````yaml https://cp.xenovia.io/openapi.json get /api/v1/orgs/{org_id}/audit-logs
openapi: 3.1.0
info:
  title: controlplane
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/orgs/{org_id}/audit-logs:
    get:
      tags:
        - audit-logs
      summary: List Org Audit Logs
      operationId: list_org_audit_logs_api_v1_orgs__org_id__audit_logs_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            title: Org Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Id
        - name: event_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Event Id
        - name: resource_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Resource Type
        - name: result
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Result
        - name: source_service
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source Service
        - name: request_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Request Id
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: End Date
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_AuditLogRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResponse_AuditLogRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AuditLogRead'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - items
        - total
        - limit
        - offset
      title: PaginatedResponse[AuditLogRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AuditLogRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        org_id:
          type: string
          format: uuid
          title: Org Id
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        event_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Id
        event_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Version
        action:
          type: string
          title: Action
        result:
          anyOf:
            - type: string
            - type: 'null'
          title: Result
        source_service:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Service
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        environment:
          anyOf:
            - type: string
            - type: 'null'
          title: Environment
        resource_type:
          type: string
          title: Resource Type
        resource_id:
          type: string
          title: Resource Id
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
      type: object
      required:
        - id
        - created_at
        - org_id
        - user_id
        - event_id
        - event_version
        - action
        - result
        - source_service
        - request_id
        - environment
        - resource_type
        - resource_id
      title: AuditLogRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````